<% 
Sub GetHelp
   GenerateDisplayHeader "How to use this page"
   GenerateDisplayBodyHeader
%>
<P>On this page, you can see a list of records in your selected table. You can search from this page.</P>
<span name='help_advancesimple' id='help_advancesimple'>
<P><strong>Searching</strong>
	<br />There are two search methods on this page - Simple and Advanced. To switch between the two, simply click the "Switch To" link at the top right of the screen.
	<br /><br /><strong>Simple Searching: </strong>To perform a simple search, simply choose the field you wish to search on from the first dropdown, then whether you want the value to be equal to, contain or start with the value that you type into the third box. then, click the Display button.
	<br /><br />You can also choose how many records you wish to display on the page at one time by choosing a value from the Results Per Page dropdown at the top right of the screen.
	<br /><br /><strong>Advanced Searching: </strong>There are several key elements to the Advanced Search. First of all, you can select fields to search, in much the same way as the simple search, but you can specify how several of these searches link together by using the AND, OR and NOT buttons below each criteria section.
	<br /><br />The Display box allows you to select which fields from the Database you want to display in the list . To select multiple items from the list, hold down the Ctrl button on your keyboard and use your mouse to select each value.
	<br /><br />The Query box allows you to type in your own SQL query to select data from the table.
	<br /><br />Once you have entered in your search terms, click the Display button to see your results.</P>
</span>

<span name='help_sorting' id='help_sorting'>
<P><strong>Sorting</strong>
	<br />To sort the data on the screen, simply click the column heading of the field you wish to sort by. If you want to reverse the sort order, click on the heading a second time.</p>
</span>

<span name='help_addarecord' id='help_addarecord'>
<P><strong>Adding Records</strong>
<br />To add a record, simply click the Add A Record link at the top left of the screen and you will be taken to the add record page.</p>
</span>

<span name='help_editrecord' id='help_editrecord'>
<P><strong>Editing Records</strong>
	<br />To edit a record, click the Edit icon to the right of the records row and you will be taken to the edit record page.</p>
</span>

<span name='help_runaction' id='help_runaction'>
<P><strong>Action</strong>
	<br />To assign Customers to Group, click the "Refresh" Icon or "Member" Icon.</p>
</span>

<span name='help_specialfunctiona' id='help_specialfunctiona'>
<P><strong>Special Functions - Export & Delete</strong>
	<br />Depending on the link you selected to get to this page, you will have a different special function available to you on this page, but they all work in the same manner.
	<br /><br />Select all of the records that you wish to complete the special function on using the checkboxes at the right of the records and then click the Selected Records button at the top or bottom of the screen. This button will change its title depending on the mode you are in (eg. if you are in Export mode, it will say "Export Selected Records").
	<br /><br />If you want to perform the function on all of the records currently shown on the screen, click the checkbox in the header column of the table. This will select all of the records on the screen. then click the Selected Records button (this button also changes labels based on the function available to you).
	<br /><br />If you wish to perform the function on all records in the table (even if they aren't shown on this page), click the All Records button (again, this button will change its label based on the function available to you).</p>
</span>    
<span name='help_refreshall' id='help_refreshall'>
<P><strong>Special Functions - Refresh All</strong>
	<br />Refreshing the Customers to the Dynamic Type Group.</p>
</span>    
<% 	
   GenerateDisplayBodyFooter
end sub
%>