<!-- #include file="shopproductfeaturesgenerate.asp" -->
<!-- #include file="shopproductfeaturesprocess.asp" -->
<%
'*********************************************************************************
' 7.00
' 1 Dec 2009
' This routine is used to obtain features and display them
' Analyze features customer has selected
' add a product to the internal shopping Cart
' This routine consist of three separate parts
' CartAddItem           used to add aproduct to the shopping cart
' FormatProductOptions  Generates the form fields for product features
' GetProductFeatures    Process the user selected features
'*********************************************************************************

dim prodindex
dim FeatureMultiSelection
dim Sfeature
dim NameInCart
dim fcount
dim sSelect
dim PrevOptionNum
dim tempOption
dim maxOptionNum
dim strDualPrice
dim ProductPrice
dim DiscountPrice
dim OriginalPrice
dim userselectedstring
dim fprefix
dim sxRequiredList, sXRequiredValue
dim lngFeatureid
dim featurevaluecount
dim ProductSku
dim requiredlist
dim userselectedcount, userselected(100)
dim featurequantity, strfeaturedefault

'700 - product bundles
dim producttype,bundleproidqty,bundleproids(),bundleproqtys(),bundleproidqtycnt

dim svxRequiredList,svXRequiredvalue

' add a product to the cart. Common routine
' handles feature analysis and discounts'
' Return 0 if added, 4 if product does not exist
' Get from datbase and add to instorage array
sub CartAddItem(id, rc)
   dim scartitem
   dim ArrCart
   dim TotalOptionPrice
   dim TotaloptionDualPrice
   dim Optionname
   dim CartFields, ArtFieldcount

   ProductPrice = CurCPrice ' original price
   featurequantity = ""
   if GetSess ("NewProductPrice")<>"" then
      ProductPrice = GetSess("NewProductPrice") ' created by features
      if GetSess ("NewProductQuantity")<>"" then
         quantity = GetSess("NewProductquantity") ' created by features
      end if
   end if
   DiscountPrice = ProductPrice ' DiscountPrice
   OriginalPrice = ProductPrice

   '700 - product bundles
   producttype = getproducttype(id)
   bundleproidqty = getbundleproidqty(id)
   bundleproidqtycnt = 0
   if trim(lcase(producttype)) = "bundled" then
      if trim(bundleproidqty) <> "" then
	     analaysebundleproidqty bundleproidqty,bundleproids,bundleproqtys,bundleproidqtycnt
	  end if
   end if
   
   '6504 - BUG - Products with Features added as new line items to cart
   AddCartOptions  TotalOptionPrice, TotalOptionDualPrice
   LocateInArray id, rc ' see if we already have some
   if rc = 0 then ' already found
      exit sub
   end if

   ArrCart = GetSessA("CartArray")
   scartItem = GetSess("CartCount")

   scartitem = scartitem + 1
   
   '700 - 2010.05.31 - Enahncement: xmaxcartitems limited to maximum 100
   if scartItem > clng(getconfigxmaxcartitems )then
      ShopError GetLang("Langerror02")
   end if

   '700 - product bundles
   ArrCart(cproducttype, scartItem) = producttype

   ArrCart(cProductid, scartItem) = lngCatalogId
   ArrCart(cCategory, scartItem) = lngCcategory
   ArrCart(cProductCode, scartItem) = strccode
   ArrCart(cGroupDiscount, scartItem) = strgroupfordiscount

   '6504 - BUG - Products with Features added as new line items to cart
   'AddCartOptions TotalOptionPrice, TotalOptionDualPrice

   'Added option price to product price for use with calculating userprice
   productprice = productprice+totaloptionprice
   originalprice = originalprice+totaloptionprice
   discountprice = discountprice+totaloptionprice
   
   if featurequantity<>"" then
      quantity = featurequantity
   end if
   CorrectMinimumquantity quantity, strminimumquantity
   Correctmaximumquantity quantity, strmaximumquantity

   '700 - product bundles
   if lcase(producttype) <> "bundled" then
      CheckStockLevel quantity, lngCatalogId
   end if

   CalculateUserPrice ProductPrice, Quantity, DiscountPrice, ArrCart, scartitem
   ProductPrice = DiscountPrice
   AddUserText ' text within product record
   if not isnull(StrSpecialOffer) then
      NameIncart = NameInCart & "<br />" & strSpecialOffer
   end if
   ArrCart(cProductname, scartItem) = NameInCart
   ArrCart(cQuantity, scartItem) = quantity
   ArrCart(cOriginalPrice, scartItem) = OriginalPrice
   ArrCart(cUnitPrice, scartItem) = ProductPrice

   ArrCart(cProductFeatures, scartItem) = UserSelectedString
   if GetConfig("XdualPrice") = "Yes" then
      if strcdualprice = "" then
         ConvertCurrency ProductPrice, strDualPrice
      else
         strdualprice = strcdualprice ' get from product
      end if
      ConvertCurrency TotaloptionPrice, TotalOptionDualPrice
      ArrCart(cDualPrice, scartItem) = strDualprice
   else
      ArrCart(cDualPrice, scartItem) = 0
   end if
   ArrCart(cMinimumQuantity, scartItem) = strminimumquantity

   '700 - product bundles
   if lcase(producttype) <> "bundled" then
      ArrCart(cSupplierid, scartItem) = strsupplierid
   end if
	  
   ArrCart(cDelivery, scartItem) = ""

   '6.50 - allow customers to upload images
   ArrCart(cuploadimagerequired, scartItem) = strCustomerImage
   ArrCart(cgraphicname1, scartItem) = ""

   if isnull(lngcstock) then
      lngcstock = ""
   end if
   if GetSess ("NewProductPrice") = "" then
      ArrCart(cmaximumQuantity, scartItem) = strmaximumquantity
   else
      if GetSess ("NewProductQuantity")<>"" then
         quantity = GetSess("NewProductquantity") ' created by features
         AdjustQuantityPrices ArrCart, scartitem, quantity, productprice, totaloptionprice
         SetSess "NewProductquantity", ""
      end if
   end if
   ArrCart(cStockLevel, scartItem) = lngcstock
   ArrCart(cProductimage, scartItem) = strcimageurl
   ArrCart(cProductweight, scartItem) = strweight
   ArrCart(cProductassociated, scartItem) = ""
   ArrCart(cProductmininame, scartItem) = strcname
   ArrCart(cfeatureotherpricing, scartItem) = getsess("tempfeatureotherpricing")
   if quantityproducts<>"" then
      Cloneproducts ArrCart, scartitem
   end if
   
   '700 - product bundles
   if lcase(producttype) = "bundled" then
      dim icnt
	  for icnt = 0 to bundleproidqtycnt-1
	     scartItem = scartItem + 1
         ArrCart(cbundleparentid, scartItem) = id
		 ArrCart(cbundleqty, scartItem) = bundleproqtys(icnt)
         ArrCart(cProductid, scartItem) = bundleproids(icnt)
         ArrCart(cProductCode, scartItem) = getproductcode(bundleproids(icnt))

		 '700 - 2010.04.12 - check stock level bundled
		 CheckStockLevelbundled (bundleproqtys(icnt) * clng(quantity)), bundleproids(icnt)

         ArrCart(cProductname, scartItem) = getproductcname(bundleproids(icnt))
         ArrCart(cQuantity, scartItem) = bundleproqtys(icnt) * clng(quantity)
         ArrCart(cSupplierid, scartItem) = getproductsupplierid(bundleproids(icnt))
	  next
      SetSess "CartCount", scartitem
      SetSessA "CartArray", ArrCart
      rc = 0
   else
      SetSess "CartCount", scartitem
      SetSessA "CartArray", ArrCart
      rc = 0
   end if
end sub

' If we find it then just add new quantity
sub LocateInArray(id, rc)
   dim i
   dim lngid
   dim scartitem
   dim ArrCart
   lngid = clng(id)
   rc = 4 ' not found
   ' Anything with features needs to be added new

   '6504 - BUG - Products with Features added as new line items to cart
'   if strFeatures<>"" then
'      CheckFeaturesStockLevel quantity, lngCatalogId
'      exit sub
'   end if

   if memUserText<>"" then
      exit sub
   end if
   scartItem = GetSess("CartCount")
   if scartitem = 0 then
      exit sub
   end if
   ArrCart = GetSessA("CartArray")
   dim newquantity

   '6504 - BUG - Products with Features added as new line items to cart
   dim indexFound
   indexFound = 0
   For i = 1 to scartItem
      If cstr(lngid) = cstr(arrCart(cProductid,i)) and trim(ArrCart(cbundleparentid, i)) = "" then
	     '6504 - BUG - Products with Features added as new line items to cart
		 if strfeatures > "" then
			if lcase(nameincart) = lcase(arrCart(cProductName,i)) then	
			   'Product is the same, store its index and exit the for loop.
			   indexFound = i
			   exit for
		    end if
         else
		    indexFound = i
			exit for
		 end if
      end if
   Next

   '6504 - BUG - Products with Features added as new line items to cart
   'If found, then just incerement the quantity.
   if indexFound > 0 then
      if cstr(lngid) = cstr(ArrCart(cProductid, i)) then
         newquantity = ArrCart(cQuantity, i) + clng(quantity)
         ValidateQuantity newquantity

         '6.08 - display a message when maximum quantity is reached
         CorrectMinimumquantity newquantity, strminimumquantity
         Correctmaximumquantity newquantity, strmaximumquantity
		 
         CheckStockLevel newquantity, lngCatalogId
		 
         ArrCart(cQuantity, i) = newquantity
		 
		 '700 - Bug Fix: Product features price is not included if order second time.
		 DiscountPrice=ArrCart(cOriginalPrice, i)

         CalculateUserPrice ArrCart(cOriginalPrice, i), ArrCart(cQuantity, i), DiscountPrice, ArrCart, i
         ArrCart(cUnitPrice, i) = DiscountPrice

		 '700 - product bundles
		 if trim(lcase(producttype)) = "bundled" then
            dim icnt, jcnt
			dim bunnewquantity
   	        for icnt = 0 to bundleproidqtycnt-1
			   for jcnt = 1 to scartItem
			      if trim(ArrCart(cbundleparentid, jcnt)) <> "" then
  			         if bundleproids(icnt) = ArrCart(cProductid, jcnt) then
                        bunnewquantity = ArrCart(cQuantity, jcnt) + (clng(bundleproqtys(icnt)) * clng(quantity))
                        ValidateQuantity bunnewquantity
                        CheckStockLevel bunnewquantity, bundleproids(icnt)
                        ArrCart(cQuantity, jcnt) = bunnewquantity
				     end if
				  end if
			   next
	        next
		 end if
		 
         rc = 0
         SetSessA "CartArray", ArrCart
      end if
   end if
end sub

sub GenerateMinQuantityList (i, quantity)
end sub

sub CheckStockLevel (quantity, CatalogId)
   dim lstock, totquantity, i, lngid, scartitem, ArrCart

   if GetConfig("XCheckStockLevel")<>"Yes" then exit sub
   if isnull(lngcstock) then exit sub

   lstock = clng(lngcstock)
   lngid = clng(CatalogId)
   totquantity = clng(quantity)
   scartItem = GetSess("CartCount")

   '6.09 - check if amount to order exceeds stock
   if totquantity>lstock then
      ShopError GetLang("LangStockLevel") & "(" & lngcstock & ") - " & strcname
   end if

   if scartitem = 0 then
      exit sub
   end if
end sub

'700 - 2010.04.12 - check stock level bundled
sub CheckStockLevelbundled (quantity, CatalogId)
   dim lstock, totquantity, i, lngid, scartitem, ArrCart
   dim sql,rs
   if GetConfig("XCheckStockLevel")<>"Yes" then exit sub

   sql="select cstock,cname from products where catalogid = " & CatalogId
   Set rs = Server.CreateObject("ADODB.Recordset")
   rs.open sql, dbc, adOpenDynamic, adLockOptimistic
   If Not rs.eof Then
      lngcstock=rs("cstock")
      strcname=rs("cname")
   End If
   closerecordset rs
   if isnull(lngcstock) then lngcstock = 0

   lstock = clng(lngcstock)
   lngid = clng(CatalogId)
   totquantity = clng(quantity)
   scartItem = GetSess("CartCount")

   if totquantity>lstock then
      ShopError GetLang("LangStockLevel") & "(" & lngcstock & ") - " & strcname
   end if

   if scartitem = 0 then
      exit sub
   end if
end sub

' Features have been stored in the feature array
' feature count has the number of features stored
sub AddCartOptions (totalOptionPrice, TotalOptionDualPrice)
   dim sPrice
   dim OPrice
   dim optionName
   dim sFeature, featureother
   dim MaxFeatures, msg, tempselect
   TotalOptionPrice = 0
   TotaloptionDualPrice = 0
   sFeature = ""
   Productsku = ""
   sPrice = ""
   Maxfeatures = Featurecount
   if maxfeatures = 0 then exit sub
   sFeature = ""
   dim percent, percentamount
   for i = 0 to MaxFeatures -1
      strfeaturename = Featurearray(cfeaturevalue, i)
      oprice = Featurearray(cfeatureprice, i)
      featureother = Featurearray(cfeatureother, i)
      strfeaturecaption = Featurearray(cfeaturecaption, i)
      strfeaturepercent = Featurearray(cfeaturepercent, i)
      percentamount = 0
      if strfeaturepercent<>"" then
         if strfeaturepercent<1 then
            strfeaturepercent = strfeaturepercent * 100
         end if
         percentamount = (strfeaturepercent / 100 * curcprice)
         Percent = strfeaturepercent & "%"
      end if
      if sFeature = "" then
         if curcprice>0 then
            sFeature = FeatureBasePriceFont & GetLang("LangproductBasePrice") & ShopFormatCurrency(curCPrice, GetConfig("xdecimalpoint")) & FeatureBasePriceEnd
            sFeature = sFeature & "<br />" & FeatureHeaderFont & GetLang("LangProductFeaturesOptions") & FeatureHeaderFontEnd
         end if
      end if
      sFeature = sfeature & "<br />" & CartFeatureCaption & strfeaturecaption & CartFeatureCaptionEnd & " "
      sFeature = sFeature & FeatureFont & strfeaturename & FeatureFontend
      if GetConfig("xcurrencysymbol")<>"" and oprice<>"" then
         oprice = replace(oprice, GetConfig("xcurrencysymbol"), "")
      end if
      if oprice = "" then
         oprice = 0
      end if
      if OPrice<>0 then
         TotalOptionPrice = TotaloptionPrice+OPrice
         if Oprice > 0 then
            sFeature = SFeature & FeaturePriceFont & " " & GetLang("LangFeatureAdd") & ShopFormatCurrency(OPrice, GetConfig("xdecimalpoint")) & FeaturePriceEnd
         else
            sFeature = SFeature & FeaturePriceFont & " " & GetLang("LangFeatureSubtract") & ShopFormatCurrency(OPrice, GetConfig("xdecimalpoint")) & FeaturePriceEnd
         end if
      end if
      if percentamount<>0 then
         TotalOptionPrice = TotaloptionPrice+percentamount
         if percentamount > 0 then
            sFeature = SFeature & FeaturePriceFont & " " & GetLang("LangFeatureAdd") & percent & FeaturePriceEnd
         else
            sFeature = SFeature & FeaturePriceFont & " " & GetLang("LangFeatureSubtract") & percent & FeaturePriceEnd
         end if
      end if
      Createsku productsku, featureother
   next
   NameInCart = NameIncart & sFeature
   if Productsku<>"" and GetConfig("xgeneratesku") = "Yes" then
      NameinCart = "Sku: " & Productsku & "<br />" & NameinCart
   end if
end sub

sub CreateSku (productsku, strfeatureother)
   if isnull(strfeatureOther) then exit sub
   if strfeatureother = "" then exit sub
   if ProductSku = "" then
      Productsku = strccode
   end if
   Productsku = Productsku & "-" & strfeatureother
end sub

sub VerifyRequired (msg)
   dim requiredlist
   msg = ""
   ' SxRequirelistvalue ha the list of features that are required
   Requiredlist = split(sxrequiredvalue, ",")
   for i = 0 to ubound(Requiredlist)
      FindSelected RequiredList(i), msg
   next
end sub

sub FindSelected (feature, msg)
   '701 - 2010.10.25 - Enhancement: Security fixes
   if trim(feature) = "" or isnumeric(feature) = false then
      tempmsg = GetLang("LangFeatureMissing") & strcname & " - " & featurecaption & "<br />"
	  msg = msg & tempmsg
	  exit sub
   end if
   
   ' Find this required feature in the list of selected features
   dim j, tempmsg, fsql, featurecaption, rs
   if featurecount>0 then
      for j = 0 to featurecount
         if clng(feature) = clng(Featurearray(cfeaturenum, j)) then
            exit sub
         end if
      next
   end if
   Fsql = "select * from prodfeatures where featurenum=" & feature
   Set rs = Server.CreateObject("ADODB.Recordset")
   rs.open fsql, dbc, adOpenDynamic, adLockOptimistic
   '6.50 - verify that something is in recordset
   if not rs.eof then
      featurecaption = rs("featurecaption")
   else
      featurecaption = ""
   end if
   rs.close
   set rs = nothing
   tempmsg = GetLang("LangFeatureMissing") & strcname & " - " & featurecaption & "<br />"
   msg = msg & tempmsg
end sub

sub CheckFeaturesStockLevel (quantity, CatalogId)
   dim lstock
   dim totquantity
   dim i
   dim lngid
   dim scartitem
   dim ArrCart
   if GetConfig("XCheckStockLevel")<>"Yes" then exit sub
   if isnull(lngcstock) then exit sub
   lstock = clng(lngcstock)
   lngid = clng(CatalogId)
   totquantity = clng(quantity)
   scartItem = GetSess("CartCount")
   if scartitem = 0 then
      exit sub
   end if
end sub

' make sure quantity matches minimum
sub CorrectminimumQuantity (quantity, minquantity)
end sub

' make sure quantity matches minimum
sub CorrectMaximumQuantity (quantity, maxquantity)
end sub

sub AdjustQuantityPrices (ArrCart, scartitem, quantity, productprice, totaloptionprice)
   dim price
   ArrCart(cmaximumQuantity, scartItem) = quantity
   ArrCart(cQuantity, scartItem) = quantity
   Price = GetSess("NewProductPrice")
   price = price / quantity
   ArrCart(cOriginalPrice, scartItem) = price
   ArrCart(cUnitPrice, scartItem) = price
   price = ArrCart(cDualPrice, scartItem)
   price = price / quantity
   ArrCart(cDualPrice, scartItem) = price
   SetSess "NewProductQuantity", ""
   ArrCart(cotherinfo, scartItem) = "static"
end sub

' quantity products is in the form
' featureid, quantity; featureid,quantity
' for each entry we add featurename and quantity to the name in the cart
' Set the quantity in the cart to the number in the feature array
sub CloneProducts (ArrCart, scartitem)
   dim i
   dim words(50), wordcount, values(5), valuecount
   scartitem = scartitem
   dim Origname, origprice
   dim quantityvalues
   origname = ArrCart(cProductname, scartItem)
   origprice = ArrCart(cUnitPrice, scartItem)
   ParseRecord quantityproducts, words, wordcount, ";"
   for i = 0 to wordcount -1
      quantityvalues = words(i)
      ParseRecord quantityvalues, values, valuecount, ","
      featureid = values(0)
      quantity = values(1)
      if i = 0 then
         cloneUpdateproduct dbc, featureid, quantity, ArrCart, scartitem, origname, origprice
      else
         CloneCreatenewproduct ArrCart, scartitem
         cloneUpdateproduct dbc, featureid, quantity, ArrCart, scartitem, origname, origprice
      end if
   next
end sub

' change quantity and nmae in current array
sub cloneUpdateproduct (dbc, featureid, quantity, ArrCart, scartitem, origname, origprice)
   dim tempname
   dim productprice, oprice, sfeature
   Productprice = origprice
   ArrCart(cQuantity, scartItem) = quantity
   ProcessGetFeatureRecord dbc, featureid
   if isnull(Curfeatureprice) then curfeatureprice = 0
   oprice = curfeatureprice
   sFeature = "<br />" & CartFeatureCaption & strfeaturecaption & CartFeatureCaptionEnd & " "
   sFeature = sFeature & FeatureFont & strfeaturename & FeatureFontend
   if GetConfig("xcurrencysymbol")<>"" and oprice<>"" then
      oprice = replace(oprice, GetConfig("xcurrencysymbol"), "")
   end if
   if OPrice<>0 then
      if Oprice > 0 then
         sFeature = SFeature & FeaturePriceFont & GetLang("LangFeatureAdd") & ShopFormatCurrency(OPrice, GetConfig("xdecimalpoint")) & FeaturePriceEnd
      else
         sFeature = SFeature & FeaturePriceFont & GetLang("LangFeatureSubtract") & ShopFormatCurrency(OPrice, GetConfig("xdecimalpoint")) & FeaturePriceEnd
      end if
   end if
   sfeature = sfeature & "</span>"
   ArrCart(cProductname, scartItem) = Origname & sfeature
   '
   ProductPrice = Productprice+curFeaturePrice
   ArrCart(cOriginalPrice, scartItem) = productprice
   ArrCart(cUnitPrice, scartItem) = ProductPrice
   if GetConfig("XdualPrice") = "Yes" then
      ConvertCurrency ProductPrice, strDualPrice
      ArrCart(cDualPrice, scartItem) = strDualprice + TotaloptionDualPrice
   end if
end sub

sub CloneCreatenewproduct (ArrCart, scartitem)
   dim olditem, j
   olditem = scartitem
   dim CartAttributes
   CartAttributes = cMaxCartAttributes
   scartitem = scartitem + 1
   
   '700 - 2010.05.31 - Enahncement: xmaxcartitems limited to maximum 100
   if scartItem > clng(getconfigxmaxcartitems) then
      ShopError GetLang("Langerror02")
   end if

   for j = 1 to CartAttributes
      ArrCart(j, scartitem) = ArrCart(j, olditem)
   next
end sub

'700 - product bundles - get producttype
function getproducttype (catalogid)
   if len(trim(catalogid)) <= 0 then
      getproducttype = ""
      exit function
   end if

   if isnumeric(catalogid) = false then
      getproducttype = ""
      exit function
   end if

   dim sqlrs,strsql, tempstring
   strsql="select producttype from products where catalogid = "& catalogid &""

   Set sqlrs = Server.CreateObject("ADODB.Recordset")
   sqlrs.open strsql, dbc, adopenkeyset, adlockoptimistic
   if sqlrs.eof then
      tempstring = ""
   else
      while not sqlrs.eof
	     if isnull(sqlrs("producttype")) then
		    tempstring = ""
		 else
  	        tempstring = sqlrs("producttype")
		 end if
	     sqlrs.movenext
	  wend
   end if

   closerecordset sqlrs
   getproducttype = tempstring
end function

'700 - product bundles - get producttype
function getbundleproidqty (catalogid)
   if len(trim(catalogid)) <= 0 then
      getbundleproidqty = ""
      exit function
   end if

   if isnumeric(catalogid) = false then
      getbundleproidqty = ""
      exit function
   end if

   dim sqlrs,strsql, tempstring
   strsql="select bundleproidqty from products where catalogid = "& catalogid &""

   Set sqlrs = Server.CreateObject("ADODB.Recordset")
   sqlrs.open strsql, dbc, adopenkeyset, adlockoptimistic
   if sqlrs.eof then
      tempstring = ""
   else
      while not sqlrs.eof
	     if isnull(sqlrs("bundleproidqty")) then
		    tempstring = ""
		 else
  	        tempstring = sqlrs("bundleproidqty")
		 end if
	     sqlrs.movenext
	  wend
   end if

   closerecordset sqlrs
   getbundleproidqty = tempstring
end function

'700 - product bundles - analyze bundleproidqty
sub analaysebundleproidqty (inproidqty,proids,proqtys,inproidqtycnt)
   if trim(inproidqty) = "" then exit sub

   '701 - 2011.10.27 - Bug Fix: Bundle is not working if using mysql DB after apply admin security fix, dated 2011.10.13
   inproidqty = replace(inproidqty,"&#91;","[")
   inproidqty = replace(inproidqty,"&#93;","]")
   
   dim inproidqtys
   redim inproidqtys(999)

   ParseRecord inproidqty, inproidqtys, inproidqtycnt, ","
   redim proids(inproidqtycnt)
   redim proqtys(inproidqtycnt)

   dim icnt,startpos,endpos
   for icnt = 0 to (inproidqtycnt - 1)
      startpos = instr(inproidqtys(icnt),"[")
	  endpos = instr(inproidqtys(icnt),"]")
	  if startpos > 0 and endpos > 0 then
	     proids(icnt) = mid(inproidqtys(icnt),1,startpos-1)
		 proqtys(icnt) = mid(inproidqtys(icnt),startpos+1,endpos-1-startpos)
	  else
	     proids(icnt) = inproidqtys(icnt)
		 proqtys(icnt) = 1
	  end if
   next
end sub

'700 - product bundles - get ccode
function getproductcode (catalogid)
   if len(trim(catalogid)) <= 0 then
      getproductcode = ""
      exit function
   end if

   if isnumeric(catalogid) = false then
      getproductcode = ""
      exit function
   end if

   dim sqlrs,strsql, tempstring
   strsql="select ccode from products where catalogid = "& catalogid &""

   Set sqlrs = Server.CreateObject("ADODB.Recordset")
   sqlrs.open strsql, dbc, adopenkeyset, adlockoptimistic
   if sqlrs.eof then
      tempstring = ""
   else
      while not sqlrs.eof
	     if isnull(sqlrs("ccode")) then
		    tempstring = ""
		 else
  	        tempstring = sqlrs("ccode")
		 end if
	     sqlrs.movenext
	  wend
   end if

   closerecordset sqlrs
   getproductcode = tempstring
end function

'700 - product bundles - get cname
function getproductcname (catalogid)
   if len(trim(catalogid)) <= 0 then
      getproductcname = ""
      exit function
   end if

   if isnumeric(catalogid) = false then
      getproductcname = ""
      exit function
   end if

   dim sqlrs,strsql, tempstring
   strsql="select cname from products where catalogid = "& catalogid &""

   Set sqlrs = Server.CreateObject("ADODB.Recordset")
   sqlrs.open strsql, dbc, adopenkeyset, adlockoptimistic
   if sqlrs.eof then
      tempstring = ""
   else
      while not sqlrs.eof
	     if isnull(sqlrs("cname")) then
		    tempstring = ""
		 else
  	        tempstring = sqlrs("cname")
		 end if
	     sqlrs.movenext
	  wend
   end if

   closerecordset sqlrs
   getproductcname = tempstring
end function

'700 - product bundles - get supplierid
function getproductsupplierid (catalogid)
   if len(trim(catalogid)) <= 0 then
      getproductsupplierid = ""
      exit function
   end if

   if isnumeric(catalogid) = false then
      getproductsupplierid = ""
      exit function
   end if

   dim sqlrs,strsql, tempstring
   strsql="select supplierid from products where catalogid = "& catalogid &""

   Set sqlrs = Server.CreateObject("ADODB.Recordset")
   sqlrs.open strsql, dbc, adopenkeyset, adlockoptimistic
   if sqlrs.eof then
      tempstring = ""
   else
      while not sqlrs.eof
	     if isnull(sqlrs("supplierid")) then
		    tempstring = ""
		 else
  	        tempstring = sqlrs("supplierid")
		 end if
	     sqlrs.movenext
	  wend
   end if

   closerecordset sqlrs
   getproductsupplierid = tempstring
end function
%>