<!-- #include file="shop$db.asp" -->
<!-- #include file="shopmail.asp" -->
<%
'*********************************************************************************
' 7.00
' 1 Dec 2009
' Diagnostic Tool for VP-ASP Shopping Cart
' Can be used to test Database access and mail access
'*********************************************************************************

Const LangTestHeader="VP-ASP Diagnostics 6.50"
const LangDatabaseTest="Test Database"
const LangMailTest="Test Mail"
Const LangTestConfig="Test your current or new configuration"
Const LangTestChanges="Changes are not automatically updated in shop$config.asp"
'Const LangTestMailfail=" is probably not installed on this system.</span><br />You can change the mail system used by logging into the admin and changing xemailtype <br />to a component that is installed on your server."
Const LangTestMailfail=" is probably not installed on this system.</span>"
Const LangTestMailInfo="This is test from VP-ASP using "
Const LangTestWriteFail="FAIL"
Const LangTestReadFail="FAIL"
Const LangTestWriteOK="PASS!"
Const LangTestVerify="<span class='fontbold'>Please ensure the Database is at the physical location shown below.</span>"
Const LangTestPerFail="FAIL"
Const LangTestRead="Database Read"
Const LangTestWrite="Database Write"
Const LangTestReadOK="PASS!"
Const LangTestDirectory="<span class='fontbold'>Verify that the Database is in a folder that has both read and write access.<br />For more information on Database permissions, please see <a href='http://helpnotes.vpasp.com/shopexd.asp?id=714' target='_blank'>our website</a>.</span>"
Const LangTestPer="Database Permissions"
Const LangTestPerOK="PASS!"
Const LangTestReadFAQ="Read the FAQ on our web site regarding permission for the anonymous user IUSR"
Const LangTestSummary=""
Const LangTestFileRead="Test file read"
'
dim sAction
Dim strbody
Dim strSubject
Dim strFrom
dim strFromemail
dim currentURL
Dim Fieldnames(30)
Dim Fieldvalues(30)
Dim fieldname
Dim Fieldvalue
Dim Fieldcount
Dim SErrors
Dim curTest
Dim PrevTest
Dim errorCount
dim my_system
dim my_from
dim my_fromAddress
dim my_subject
dim my_to
dim my_toAddress
dim body
dim htmlformat
Dim Msg
Dim mailtype
Dim mailer
Dim Emailformat
dim tablerowcolor
dim initapp

sAction=request("dbshop")
if saction<>"" then
   saction="DBSHOP"
else
  saction=request("dbcustom")
  if saction<>"" then
     sACTION="DBCUSTOM"
  else
	saction=request("mail")
	if saction<>"" then
       sACTION="MAIL"
    else
       saction=request("Fileread")
       if saction<>"" then
          sACTION="READFILE"
       end if
    end if   
   end if
end if        
currentURL="diag_dbtest.asp"
DBTable="tbluser"
dbfield="fldDatabase"
GetFieldNames
GetFieldvalues
specPageHeader
if saction="" then
   DisplayForm
else
   '700 - 2010.04.22 - cross site script security enhancement
   verifygenpredefinedsecuritycode request("genpredefinedsecuritycode")

   htmlwrite "<table width='100%'>"
   ProcessForm
   RunTests
   htmlwrite "</table>"
end if
specPageTrailer

Sub DisplayForm
%>
  <p>Welcome to the VP-ASP Diagnostics Centre. This tool will help you diagnose any problems with your Database settings, email settings and file permissions.</p>
  <p>
	<form name="editform" action="<%=currenturl%>" method="POST">
<%
'700 - 2010.04.22 - cross site script security enhancement
htmlwrite "<input type=""hidden"" name=""genpredefinedsecuritycode"" value="""& session("genpredefinedsecuritycode") &""" />"
%>
	<table border=0 cellspacing=2 cellpadding=2>
	<tr bgcolor="efefef">
		<td colspan='2' align='left'><span class='fontbold'>Test Your Database Connection</span></td>
	</tr>
    <tr>
      <td align='left'><span class='fontbold'>METHOD 1: </span>Test using the settings in your shop$config.asp file.</td>
	  <td align="center"><input class="submitbtn" type=submit name=dbshop value='Test shop$config Settings'></td>
    </tr>
<tr><td colspan="2">&nbsp;</td></tr>
    <tr>
      <td align='left'><span class='fontbold'>METHOD 2: </span>Test using your own settings. Fill out the form below with the settings you wish to test and click the button at the right to test.</td>
	  <td align="center" valign='top'><input class="submitbtn" type=submit name=dbcustom value='Test Custom Settings'></td>
    </tr>
    <tr>
      <td align='left'>
		<table><%
		FormatRow "Database Name","xDatabase", sRowColor
        FormatRow "Username","xsqluser", sRowColor
        FormatRow "Password","xsqlpwd", sRowColor
		FormatRow "Server Address","xsqlserver", sRowColor
		%><tr>
			<td><span class='fontbold'>Databse Type</span></td>
			<td><select name="xDatabaseType" class="txtfielddropdown">
				<option>- Select -</option>
				<option value=''>Access</option>
				<option value='DRIVE'>Drive</option>
				<option value='MYSQL'>MySQL</option>
				<option value='MYSQL351'>MySQL 3.5.1</option>
                <option value='MYSQL510'>MySQL 5.1.0</option>
				<option value='ODBC'>ODBC</option>
				<option value='SQLSERVER'>SQL Server</option>
				<option value='ACCESS2007'>Access 2007</option>
			</select></td>
		</tr><%
		FormatRow "Database Location","xDbLocation", sRowColor	
		%></table>
	  </td>
	  <td align="center">&nbsp;</td>
    </tr>
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr bgcolor="efefef">
		<td colspan='2' align='left'><span class='fontbold'>Test Your Email</span></td>
	</tr>
    <tr>
      <td align='left'>Can your site send email correctly? Click this button to test it. </td>
      <td><div align="center">
        <input class="submitbtn" type=submit name=mail value='Test Mail'>
      </div></td>
    </tr>
	<tr>
		<td><span class='fontbold'>Send test email to: </span><input type="text" class="txtfield" name="emailaddress" value="<%'=GetConfig("xemail")%>"></td>
		<td></td>
	</tr>
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr bgcolor="efefef">
		<td colspan='2' align='left'><span class='fontbold'>Test Your Permissions (Access Database Only)</span></td>
	</tr>
    <tr>
      <td align='left'>Are your file permissions set up correctly so your Database can be accessed correctly by VP-ASP? Click this button to check. </td>
      <td><div align="center">
        <input class="submitbtn" type=submit name=fileread value='Test file read'>
      </div></td>
    </tr>
    </table>
	</form>
    </p>
	<%
end sub

Sub FormatRow (fieldlabel,fieldname, sRowColor)
	response.write("<tr><td><span class='fontbold'>" & trim(fieldlabel) & "</span></td><td><input class='txtfield' type='text' name='" & fieldname & "'></td></tr>")
end sub

Sub ProcessForm
   dim strname
   dim strvalue
   For Each key in Request.Form
      strname = key
      strvalue = Request.Form(key)
      SetSess strname, strvalue
   Next
end sub

Sub GetFieldNames
   Fieldnames(0)="xDatabase"
   Fieldnames(1)="xDbLocation"
   Fieldnames(2)="xDatabaseType"
   Fieldnames(3)="xEmail"
   Fieldnames(4)="xEmailName"
   Fieldnames(5)="xEmailSubject"
   Fieldnames(6)="xEmailSystem"
   Fieldnames(7)="xEmailType"
   Fieldnames(8)="xOrdernumber"
   fieldcount=8
end sub

Sub GetFieldvalues
   Dim strvalue
   strvalue=GetSess(fieldnames(0))
   if strvalue="" then
      SetDefaultvalues
   else
      for i = 0 to fieldcount
         fieldvalues(i)=GetSess(fieldnames(i))
      next
      strbody=GetSess("body")
   end if
end sub

Sub SetDefaultvalues
   Fieldvalues(0)=xDatabase
   Fieldvalues(1)=xDbLocation
   Fieldvalues(2)=xDatabaseType
   'Fieldvalues(3)=GetConfig("xemail")
   'Fieldvalues(4)=GetConfig("xemailname")
   'Fieldvalues(5)=GetConfig("xemailsubject")
   'Fieldvalues(6)=GetConfig("xEmailsystem")
   'Fieldvalues(7)=GetConfig("xEmailType")
   Fieldvalues(8)=xordernumber
end sub

Sub RunTests
   ErrorCount=0
   if saction="MAIL" then
      RunMailtests
      exit sub
   end if
   if saction="DBSHOP" then
	  GetShopValues
      RunDatabaseTests
      exit sub
   end if
   if saction="DBCUSTOM" then
	  GetCustomValues
      RunDatabaseTests
      exit sub
   end if
   if saction="READFILE" then
      RunFileReadTests
      exit sub
   end if
end sub

sub GetShopValues
   SetSess "db",xDatabase
   SetSess "DbLocation",xDbLocation
   SetSess "xDatabaseType", Ucase(xDatabaseType)
   SetSess "xSQLServer", xSQLServer
   SetSess "xSQLUser", xSQLUser
   SetSess "xSQLPwd", xSQLPwd
end sub

sub GetCustomValues
   SetSess "db",request("xDatabase")
   SetSess "DbLocation",request("xDbLocation")
   SetSess "xDatabaseType", Ucase(request("xDatabaseType"))
   SetSess "xSQLServer", request("xSQLServer")
   SetSess "xSQLUser", request("xSQLUser")
   SetSess "xSQLPwd", request("xSQLPwd")
end sub

Sub RunDatabaseTests
   dim dbc
   dim testsql
   dim testrs
   dim rstemp
   SErrors=""
   SetSess "diagnostic","Yes"
   'Shopinit
   curTest="Database Open"
   ShopOpenDatabase_diag dbc, GetSess("db"), xDatabaseType
   SetSess "diagnostic",""
   on error resume next

   curTest=LangTestRead 
   testsql = "select * from " & DBTable
   Set testrs = Server.CreateObject("ADODB.Recordset")
   testrs.open Testsql, dbc, adOpenDynamic, adLockOptimistic
   fieldvalue=testrs(dbfield)
   if err.number > 0 then
      addError "<p class='fontbold'>" & LangTestReadFail & "</p>"
      addError LangTestVerify  
      CheckMicrosoftError dbc
      Adderror GetSess("dbc") 
      AddError GetSess("OpenError") 
   else
	  addInfo LangTestReadOk 
end if
testrs.close

response.write "<tr bgcolor='#efefef'><td>&nbsp;</td><td>&nbsp;</td></tr>"
curTest=LangTestWrite 
if instr(ucase(xdatabasetype), "MYSQL") > 0 then
   Testsql="Update " & DBTable & " set " & dbfield & "='shopdbtest'"   
   dbc.execute(testsql)
else
  Set rstemp = Server.CreateObject("ADODB.Recordset")
  rstemp.open DBTable, dbc, 1, 3
  rstemp.update
  rstemp(dbfield)="shopdbtest"
  rstemp.update
end if  
If err.number > 0 then
     addError "<span class='fontbold'>" & LangTestWriteFail & "</span>"

	if instr(ucase(xdatabasetype), "MYSQL") > 0 or instr(ucase(xdatabasetype), "SQLSERVER") > 0 then
	else
     addError LangTestDirectory
	end if
     

     AddError GetSess("OpenError") 
else
    If dbc.errors.count> 0 then
      addError "<span class='fontbold'>" & langtestwritefail & "</span>"
      addError LangTestDirectory 
	  response.write "<tr><td></td><td>&nbsp;</td></tr>"
      AddError GetSess("OpenError") 
      CheckMicrosoftError dbc 
    else
       addInfo LangTestwriteOK 
    end if
end if

if instr(ucase(xdatabasetype), "MYSQL") > 0 or instr(ucase(xdatabasetype), "SQLSERVER") > 0 then
	'do nothing
else
	response.write "<tr bgcolor='#efefef'><td>&nbsp;</td><td>&nbsp;</td></tr>"
	curTest=LangTestPer 
	dim mysql
	mysql="select * from configuration"
	Set rstemp = Server.CreateObject("ADODB.RecordSet")
	rstemp.cursorlocation=aduseclient
	  rstemp.cachesize=5
	rstemp.Open MYSQL,dbc,adOpenKeyset,adLockReadOnly, adCmdText
	If err.number > 0 then
		 addError "<span class='fontbold'>" & LangTestPerFail & "</span>"
		 addError LangTestReadFAQ 
	else
		If dbc.errors.count> 0 then
		  addError "<span class='fontbold'>" & LangTestWriteFail & "</span>"
		  addError LangTestVerify 
		  CheckMicrosoftError dbc 
		else
		   addInfo LangTestPerOK 
		end if
	end if
end if


dbc.close
set dbc=nothing
end sub

Sub addError (msg)
   if curtest<>PrevTest then
      response.write "<tr><td align='left' valign='top'><span class='fontbold'>" & curtest & "</span></td>" & vbcrlf
   else
      response.write "<tr><td></td>" & vbcrlf
   end if
   response.write "<td>" &  msg & "</td></tr>" & vbcrlf
   errorcount=errorCount+1
   PrevTest=CurTest
end sub

Sub addErrorCurrent (msg)
   if curtest<>PrevTest then
      response.write "<tr bgcolor='efefef'><td align='left' valign='top'><span class='fontbold'>" & curtest & "</span></td>" & vbcrlf
   else
      response.write "<tr bgcolor='efefef'><td></td>" & vbcrlf
   end if
   response.write "<td>" &  msg & "</td></tr>" & vbcrlf
   errorcount=errorCount+1
   PrevTest=CurTest
end sub

Sub addInfo (msg)
   if curtest<>PrevTest then
      response.write "<tr><td align='left'><span class='fontbold'>" & curtest & "</span></td>" & vbcrlf
   else
      response.write "<tr><td align='left'></td>" & vbcrlf
   end if
   response.write "<td align='left'>" &  msg & "</td></tr>" & vbcrlf
   PrevTest=CurTest
end sub

Sub addInfoCurrent (msg)
   if curtest<>PrevTest then
      response.write "<tr bgcolor='efefef'><td align='left'><span class='fontbold'>" & curtest & "</span></td>" & vbcrlf
   else
      response.write "<tr bgcolor='efefef'><td align='left'></td>" & vbcrlf
   end if
   response.write "<td align='left'>" &  msg & "</td></tr>" & vbcrlf
   PrevTest=CurTest
end sub

Sub RunMailTests
   'response.write "<div>"
   response.write "<span class='fontbold'>The following Email Components have been tested. The highlighted option is the one you have selected in your Configuration.<br /><br />If this component says FAIL, you can change it by logging into your Administration and going to Setup > Merchant Details > xemailtype</span><br /><br />"
   response.write "<em><span class='fontbold'>PLEASE NOTE:</span> If a component below says PASS, it does not necessarily mean the email has sent successfully.</em><br />It just means that the email has been successfully passed from VP-ASP to your mailing component.<br />If the email doesn't arrive from there, you will need to speak to your host to find out why it is being lost between the mailing component and your mailing gateway.<br /><br />"

   '****************************************************
   ' Run tests with user supplied mail, if it fails try CDONTS
   '****************************************************
   Dim description
   dim acount, i, mailtypes(8)

   mailtypes(0) = "CDONTS"
   mailtypes(1) = "CDOSYS"
   mailtypes(2) = "DUNDAS"
   mailtypes(3) = "ASPEMAIL"
   mailtypes(4) = "ASPMAIL"
   mailtypes(5) = "JMAIL"
   mailtypes(6) = "JMAIL43"
   mailtypes(7) = "OCXMAIL"
   mailtypes(8) = "SOFTART"

   for i = 0 to 8
	  htmlformat=GetConfig("Xemailformat")
   	  htmlformat=ucase(htmlformat)

 	  if request("emailaddress") > "" then
		 my_toaddress = request("emailaddress")
	  else
		 my_toaddress = GetConfig("xEmail")
	  end if

	  my_to=GetConfig("xEmailName")
	  my_from="VP-ASP Diagnostic Test"
	  my_Fromaddress=GetConfig("xEmail")
	  my_system=GetConfig("xEmailSystem")  ' imail2.innerhost.com'

	  'mailtype=GetConfig("xEmailType")    ' ASPmail, CDONTS, JMail, ASPEMAIL
	  mailtype=mailtypes(i)    ' ASPmail, CDONTS, JMail, ASPEMAIL

	  my_subject=GetConfig("xEmailsubject")

   	  body=LangTestMailInfo & mailtype & " from " & my_system & " at " & date & " " & Time()
	  If htmlformat="HTML" then
	     addhtml body
	  end if 
	  'DebugWrite server.htmlencode(body)  
	  CurTest="Mailing using " & mailtype
	  SetSess "mailerror",""
	  acount=0
	  ExecuteMail mailtype,My_from,my_fromaddress,my_to,my_toaddress,my_subject,body,htmlformat,my_attachment,acount
	  If GetSess("mailerror")="" then
		 if lcase(GetConfig("xEmailType")) = lcase(mailtypes(i)) then
		    AddInfoCurrent "<span class='fontbold'>PASS!</span>"
		 else
 		    AddInfo "<span class='fontbold'>PASS!</span>"
		 end if
'		 exit sub
      else
	     if lcase(GetConfig("xEmailType")) = lcase(mailtypes(i)) then
			AddErrorCurrent "<div align='left'><span class='fontbold'>FAIL</span> - " & mailtypes(i) & LangTestMailFail & "<br /></div>"
		 else
			AddError "<div align='left'><span class='fontbold'>FAIL</span> - " & mailtypes(i) & LangTestMailFail & "<br /></div>"
		 end if
      end if 
   next
   response.write "</div>"
end sub

Sub CheckMicrosoftError (dbc)
dim counter
If dbc.errors.count> 0 then
'  AddError "Error count=" & dbc.errors.count
  For counter= 0 to dbc.errors.count-1
'       AddError "Error #" & dbc.errors(counter).number 
       addError "Error desc. -> " & dbc.errors(counter).description
 next
end if
end sub

Sub AddHtml(body)
dim htmlstuff
htmlstuff="<html><head><title>" & langTestHeader & "</title></head><body>"
htmlstuff=htmlstuff & "<p align='center'><font size='4' face='Arial'>"
body=htmlstuff & htmlformat & "<br />" & Body  & "</p></font>"
body=body & "</body></html>"
end sub

Sub RunFileReadTests
on error resume next
dim whichfile(2), fsobj, recordobj, j, gotofile
whichfile(0)="$readme.txt"
whichfile(1)="images/shim.gif"
whichfile(2)="Database/shopping700.mdb"

if instr(ucase(xdatabasetype), "MYSQL") > 0 or instr(ucase(xdatabasetype), "SQLSERVER") > 0 then
	gotofile = 1
else
	gotofile = 2
end if
for j = 0 to gotofile
	CurTest="Reading " & server.mappath(whichfile(j))
	set fsObj = Server.CreateObject("Scripting.FileSystemObject")
	set RecordObj= fsObj.OpenTextFile(server.mappath(whichfile(j)), 1, False)
	If Err.number=0 then
	   AddError "<span class='fontbold'>PASS!</span>"
	else   
	   adderror  "<span class='fontbold'>" & err.description & "</span>"
	   if lcase(err.description) = "file not found" then
			adderror "Please ensure there is a file in your VP-ASP folder called " & whichfile(j) & " to allow this test to run correctly."
		end if
	   if lcase(err.description) = "permission denied" then
	   		if instr(whichfile(j), "\") > 0 then
				adderror "Please check that you have read permissions set for the " & left(whichfile(j), instr(whichfile(j), "/") - 1) & " folder. For more information on permissions, please see <a href='http://helpnotes.vpasp.com/shopexd.asp?id=714' target='_blank'>our website</a>."
			else
				adderror "Please check that you have read permissions set for the VP-ASP folder. For more information on permissions, please see <a href='http://helpnotes.vpasp.com/shopexd.asp?id=714' target='_blank'>our website</a>."
			end if
		end if
	end if   
	recordobj.close
	set recordobj=nothing
	set fsobj=nothing
next
end sub
sub Specpageheader
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />
<title>VP-ASP Shopping Cart 7.00 - Database Testing Page</title>
<noscript>
not support
</noscript>
<link href="stylesheets/wizard.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="js/shopajax.js"></script>
<SCRIPT type="text/javascript" src="js/install.js" ></SCRIPT>
</head><body>
<table width="762" border="0" cellspacing="0" cellpadding="0" class="wrapper">
  <tr>
    <td><table width="762" border="0" cellspacing="0" cellpadding="0" class="header">
        <tr>
          <td colspan="2"><img src="images/landingpage/header.jpg" alt="Welcome to VPASP7.00 Installer" /></td>
        </tr>
      </table>
      <table width="762" border="0" cellspacing="0" cellpadding="0" class="header">
        <tr>
          <td width="369" background="images/landingpage/sub_titlebg3.gif"><span class="black">VP-ASP Shopping Cart 7.0</span></td>
          <td width="381"><img src="images/landingpage/sub_titlebg2.jpg" alt="2" width="381" height="39" /></td>
        </tr>
      </table>
      <table width="750" border="0" cellspacing="0" cellpadding="0" class="content_wrapper">
        <tr>
          <td width="210" valign="top" class="left_container" align="center">
<!-- BEGIN Comm100 Live Chat Button Code -->
<div><div id="comm100_LiveChatDiv"></div><a href="http://www.comm100.com/livechat/" onClick="comm100_Chat();return false;" target="_blank" title = "Live Chat Live Help Software for Website"><img id="comm100_ButtonImage" src="https://chatserver.comm100.com/BBS.aspx?siteId=29057&planId=463" border="0px" alt="Live Chat Live Help Software for Website" /></a><script src="https://chatserver.comm100.com/js/LiveChat.js?siteId=29057&planId=463"type="text/javascript"></script><div id="comm100_track" style="z-index:99;"></div></div>
<!-- End Comm100 Live Chat Button Code -->
<a href="http://hosting.vpasp.com/default.htm" target="_blank"><img src="images/landingpage/hosting_banner.gif" /></a><br /><br />
<a href="http://www.vpasp.com/virtprog/templates.htm" target="_blank"><img src="images/landingpage/template_banner.gif" /></a><br />
<br />
</td>
        <td valign="top" class="right"><script type="text/javascript">
function bookmarksite(title, url){
if (document.all)
window.external.AddFavorite(url, title);
else if (window.sidebar)
window.sidebar.addPanel(title, url, "")
}
</script>
            
              <div class="container_header2"></div>
              <div class="content2">
<%
end sub

Sub SpecpageTrailer
%>
              </div>
              <div class="container_bottom" ></div>
           </td>
        </tr>
      </table></td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="footer">
  <tr>
    <td valign="top">Copyright  1999-2012 Rocksalt International Pty Ltd. All rights reserved</td>
  </tr>
</table>
</body>
</html>
<%
end sub

' Open Access Database
Sub ProcessAccessOpen_diag(connection)
dim DbLocation
dim strconn
dim Database
Database=GetSess("db") & ".mdb"          ' Database name
DbLocation=GetSess("DbLocation")' location 
sqlpwd = GetSess("xsqlpwd")
sqluser = GetSess("xsqluser")
If DbLocation<>"" then
     Database = GetSess("DbLocation") & "\" & Database
end if
if ucase(xDatabaseType)="DRIVE" then 
  If xAccessOLE<>"Yes" then 
    strconn = "DRIVER=Microsoft Access Driver (*.mdb);DBQ=" & Database
  else
   strconn = "provider=microsoft.jet.oledb.4.0;persist security info=false;data source=" & Database
  end if    
  'strconn = "DRIVER=Microsoft Access Driver (*.mdb);DBQ=D:\webs\vpasp\data\shopping2.mdb"
else
 If xAccessOLE<>"Yes" then   
  strconn = "DRIVER=Microsoft Access Driver (*.mdb);DBQ=" & Server.MapPath(Database)
 else
   strconn = "provider=microsoft.jet.oledb.4.0;persist security info=false;data source="  & Server.MapPath(Database)
 end if  
end if  

if GetConfig("xdebug")="Yes" then 
  DebugWrite strconn
end if  
Set connection = Server.CreateObject("ADODB.Connection")
on error resume next
If sqlpwd="" then 
  connection.open strConn
else
    connection.open strConn,sqluser,sqlpwd
end if    
'SetSess "dbc", connection
If connection.errors.count> 0 then
   SetSess "OpenError", "Open Messages<br />" & connection.errors(0).description & " <br />" & GetSess("dbc")
else
   SetSess "OpenError",""
end if
end sub

'VP-ASP 6.50 - add support for Access 20007
Sub ProcessAccess2007_diag(connection)
dim DbLocation
dim strconn
dim Database
Database=GetSess("db") & ".accdb"          ' Database name
DbLocation=GetSess("DbLocation")' location 
If DbLocation<>"" then
     Database = GetSess("DbLocation") & "\" & Database
end if
strconn ="Provider=Microsoft.ACE.OLEDB.12.0;persist security info=false;data source="  & Server.MapPath(Database)
Set connection = Server.CreateObject("ADODB.Connection")
on error resume next
connection.open strConn
If connection.errors.count> 0 then
   SetSess "OpenError", "Open Messages<br />" & connection.errors(0).description & " <br />" & GetSess("dbc")
else
   SetSess "OpenError",""
end if
end sub

'******************************************************************************
Sub ProcessODBC_diag (connection)
on error resume next
dim strconn
Set connection = Server.CreateObject("ADODB.Connection")
strconn=GetSess("db")              ' xDatabase = ODBC connection 
connection.open strConn
'SetSess "dbc", connection
If connection.errors.count> 0 then
   SetSess "OpenError", "Open Messages<br />" & connection.errors(0).description & " <br />" & GetSess("dbc")
else
   SetSess "OpenError", ""
end if
end sub
'******************************************************
' Open SQL Server
Sub ProcessSQLServer_diag(connection)
on error resume next
Set connection = Server.CreateObject("ADODB.Connection")
Dim varServerIP, varUserName, varPassword, varDatabaseName
dim strconn
varServerIP = GetSess("xSQLServer")
varUserName = GetSess("xSQLUser")
varPassword = GetSess("xSQLPwd")
varDatabaseName = GetSess("db")
If xSqlOLEDb="Yes" then 
  strconn="Provider=sqloledb;" & "Source=" & varServerIP & ";" & "Database=" & varDatabaseName & ";" & "UID=" & varUserName & ";" &  "Password=" & varPassword & ";" 
else  
  strconn= "DRIVER={SQL Server}; Server=" & varServerIP & "; Database=" & varDatabaseName & "; UID=" & varUserName & "; PWD=" & varPassword'
end if  
Connection.Open strconn
If connection.errors.count> 0 then
   SetSess "OpenError","Open Messages<br />" & connection.errors(0).description & " <br />" & GetSess("dbc")
else
   SetSess "OpenError", ""
end if
end sub
'
'******************************************************
' Open MYSQL 
Sub ProcessMYSQLServer_diag(connection)
Set connection = Server.CreateObject("ADODB.Connection")
Dim varServerIP, varUserName, varPassword, varDatabaseName
varServerIP = GetSess("xSQLServer")
varUserName = GetSess("xSQLUser")
varPassword = GetSess("xSQLPwd")
varDatabaseName = GetSess("db")
dim mysqlconn
on error resume next
'DebugWrite "DRIVER={MySQL}; Server=" & varServerIP & "; Database=" & varDatabaseName & "; UID=" & varUserName & "; PWD=" & varPassword'
if ucase(xDatabaseType)="MYSQL351" then
   mysqlconn="DRIVER={MYSQL ODBC 3.51 Driver};"
elseif ucase(xDatabaseType)="MYSQL510" then
   mysqlconn="DRIVER={MySQL ODBC 5.1 Driver}; "
else
   mysqlconn="DRIVER={MySQL}; "
end if
mysqlconn=mysqlconn &  " Server=" & varServerIP & "; Database=" & varDatabaseName & "; UID=" & varUserName & "; PWD=" & varPassword        
Connection.Open mysqlconn
'Connection.Open "DRIVER={MySQL}; Server=" & varServerIP & "; Database=" & varDatabaseName & "; UID=" & varUserName & "; PWD=" & varPassword'
If connection.errors.count> 0 then
   SetSess "OpenError","Open Messages<br />" & connection.errors(0).description & " <br />" & GetSess("dbc")
else
   SetSess "OpenError", ""
end if
'SetSess "dbc", connection
end sub

Sub ShopOpenDatabase_diag (connection,Database,DatabaseType)
SetSess "db",Database
DatabaseType=ucase(DatabaseType)
If DatabaseType="" then
  ProcessAccessOpen_diag connection
  exit sub
end if
if DatabaseType="ODBC" then
    Database= GetSess("db")
    ProcessODBC_diag connection
    exit sub
end if

if instr(ucase(xdatabasetype), "SQLSERVER") > 0 then
   ProcessSQLServer_diag connection
   exit sub
end if

if instr(ucase(xdatabasetype), "MYSQL") > 0 then
   ProcessMYSQLServer_diag connection
   exit sub
end if 

'VP-ASP 6.50 - add support for Access 20007
if DatabaseType="ACCESS2007" then
    Database= GetSess("db")
    ProcessAccess2007_diag connection
    exit sub
end if
ProcessAccessOpen_diag connection
end sub
%>
